import { obtenerNombreModulo } from "../../../../assets/js/app/funcionesGenerales.js?v=2.0.0";
import metodosFetch from "../../../../assets/js/app/metodosFetch.js?v=2.0.0";

class DepartamentoEmpresa {
  constructor() {}

  static async obtenerParaDocumentosPago({
    anio,
    codtipoplanilla,
    correlativo,
  }) {
    try {
      const respuesta = await metodosFetch.get({
        archivo: `controllers/departamentoEmpresaController`,
        modulo: obtenerNombreModulo(),
        parametros: {
          accion: "obtenerParaDocumentosPago",
          anio,
          codtipoplanilla,
          correlativo,
        },
      });

      return respuesta;
    } catch (err) {
      throw err;
    }
  }

  static async procesarDocumentosPago({
    coddepartamento,
    codtipoplanilla,
    correlativo,
    esAguinaldo = 0,
    idProceso,
    tipoAccion,
  }) {
    try {
      const respuesta = await metodosFetch.post({
        archivo: `controllers/departamentoEmpresaController`,
        modulo: obtenerNombreModulo(),
        data: {
          accion: "procesarDocumentosPago",
          coddepartamento,
          codtipoplanilla,
          correlativo,
          esAguinaldo,
          idProceso,
          tipoAccion,
        },
        loader: false,
      });

      return respuesta;
    } catch (err) {
      throw err;
    }
  }
}

export default DepartamentoEmpresa;
